> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/eksploatacja-aplikacji/webforms/konfiguracja/logowanie-logow-klienckich.md).

# Logging client logs on the server

{% hint style="info" %}
The availability of the functionality depends on the license and may not be available in all deployments.
{% endhint %}

## Client log storage in the server log

The functionality enables logging client logs from the browser in the server's sensitive logs. The logs will be sent to the server when an error occurs in the client application. The latest logs since the error occurred will be sent to the server. Their length will be limited according to the parameter set in the configuration.

## Configuration

### Client configuration

```
webforms.client.logging - enables the functionality in the client application
webforms.client.maxLength - maximum size of logs sent to the server
```

### Server configuration

```
webforms.server.features.clientLogEnabled - enables the functionality in the server application
webforms.server.securityValidation.services.clientLog.maxLength - maximum size of logs received by the server
webforms.server.securityValidation.services.clientLog.extraWhitelistCharacters - additional special characters accepted by the server
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/eksploatacja-aplikacji/webforms/konfiguracja/logowanie-logow-klienckich.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
